using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using SteamWare;

namespace GMW_Term
{
    public class TermUtils
    {
        protected TermUtils()
        {

        }

        /// <summary>
        /// effettua logout da terminalino azzerando tutte le variabili necessarie
        /// </summary>
        public void forceLogOut()
        {
            HttpContext.Current.Session.Clear();
            user_std.UtSn.logOffUtente();
            // salvo esecuzione logout
            memLayer.ML.setSessionVal("activeTask", "LogOff Operatore");
        }
        

        /// <summary>
        /// oggetto static per fare chiamate
        /// </summary>
        public static TermUtils TU = new TermUtils();
    }
}
